အကြောင်းအရာသို့ ကျော်ရန်

AnimateDiff · Text to Video

ပေါင်းစည်းရန်

မော်ဒယ် id fast-animatediff/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fast-animatediff/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ≈၀.၀၂၃ $ ၂၃ API ခရက်ဒစ် · ≈ ၂.၄၇ ₽ ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Open model စာသားမှ ဗီဒီယို မြန်ဆန် #animation#stylized

ဖရိမ် 1 မှ 32 အထိနှင့် ရွေးချယ်နိုင်သော လှုပ်ရှားမှုကြိုတင်သတ်မှတ်ချက်များပါသော AnimateDiff စာသားမှဗီဒီယို

Open model · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ဗီဒီယိုဖန်တီးမှု ညွှန်ကြားချက်များ။ အကောင်းဆုံးရလဒ်ရရန် လိုချင်သော ဗီဒီယိုကို အသေးစိတ်နိုင်သမျှ ဖော်ပြပါ။

မူလ 16

ဖန်တီးထားသော ဗီဒီယို၏ ဖရိမ်အရေအတွက်။

အဆင့်မြင့် negative_prompt · video_size · num_inference_steps · guidance_scale · fps · seed · enable_safety_checker · motions
မူလ (bad quality, worst q...

ဖယ်ရှားလိုသော ပုံအသေးစိတ်များ၊ အရောင်များ၊ အရာဝတ္ထုများ၊ ရှုခင်းများ သို့မဟုတ် အသေးစိတ်အင်္ဂါရပ်များကို သတ်မှတ်သည့် အနုတ်လက္ခဏာ ပရောမ့်။ ဥပမာများမှာ နှုတ်ခမ်းမွှေး၊ ဝါးခြင်း သို့မဟုတ် ရုပ်ထွက်အရည်အသွေး နိမ့်ခြင်းတို့ ဖြစ်သည်။

video_size မူလ square

ဖန်တီးထားသော ဗီဒီယို၏ အရွယ်အစား။

မူလ 25

လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။

မူလ 7.5

ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။

မူလ 8

ဗီဒီယိုမှ ဖရိမ်ထုတ်ယူနှုန်း၊ တစ်စက္ကန့်လျှင် ဖရိမ်အရေအတွက်။

Stable Diffusion တွင် ပုံများကို ပြန်လည်ထုတ်လုပ်ရန် seed။ မော်ဒယ်ဗားရှင်း၊ ပရောမ့်နှင့် seed ကို မပြောင်းလဲထားပါက run တိုင်း ပုံကို အတိအကျ ပြန်လည်ထုတ်လုပ်နိုင်သည်။

ဗီဒီယိုတွင် အသုံးချမည့် လှုပ်ရှားမှုများ။

POST /run/fast-animatediff/text-to-video?wait=20 ကုန်ကျစရိတ် → ၀.၀၂၃ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/fast-animatediff/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

AnimateDiff · Text to Video အကြောင်း

`prompt` မှ အတိုချုံးစတိုင်ကျသော ဗီဒီယိုကလစ်ကို ဖန်တီးပေးသည်။ `num_frames` သည် 1 မှ 32 အထိ (မူလတန်ဖိုး 16)၊ `fps` သည် 1 မှ 16 အထိ၊ `num_inference_steps` သည် 50 အထိ လုပ်ဆောင်နိုင်သည်။ `motions` သည် လှုပ်ရှားမှုပုံစံများကို အသုံးပြုစေပြီး `video_size` တွင် စတုရန်း၊ ပုံတူနှင့် အလျားလိုက် ပုံစံများ ပါဝင်သည်။ `negative_prompt` ကိုလည်း အသုံးပြုနိုင်သည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ဗီဒီယိုဖန်တီးမှု ညွှန်ကြားချက်များ။ အကောင်းဆုံးရလဒ်ရရန် လိုချင်သော ဗီဒီယိုကို အသေးစိတ်နိုင်သမျှ ဖော်ပြပါ။
negative_promptရွေးချယ်နိုင်သည်
အမျိုးအစားstring
မူလတန်ဖိုး(bad quality, worst quality:1.2), ugly faces, bad anime
ဖယ်ရှားလိုသော ပုံအသေးစိတ်များ၊ အရောင်များ၊ အရာဝတ္ထုများ၊ ရှုခင်းများ သို့မဟုတ် အသေးစိတ်အင်္ဂါရပ်များကို သတ်မှတ်သည့် အနုတ်လက္ခဏာ ပရောမ့်။ ဥပမာများမှာ နှုတ်ခမ်းမွှေး၊ ဝါးခြင်း သို့မဟုတ် ရုပ်ထွက်အရည်အသွေး နိမ့်ခြင်းတို့ ဖြစ်သည်။
num_framesရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး16
၁ – ၃၂
ဖန်တီးထားသော ဗီဒီယို၏ ဖရိမ်အရေအတွက်။
num_inference_stepsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး25
၁ – ၅၀
လုပ်ဆောင်ရန် inference အဆင့်အရေအတွက်။
guidance_scaleရွေးချယ်နိုင်သည်
အမျိုးအစားnumber
မူလတန်ဖိုး7.5
၀ – ၂၀
ပုံရွေးချယ်မှုအတွက် ပရောမ့်လိုက်နာမှုအားကို CFG (Classifier Free Guidance) အဖြစ် ဖော်ပြထားသည်။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
Stable Diffusion တွင် ပုံများကို ပြန်လည်ထုတ်လုပ်ရန် seed။ မော်ဒယ်ဗားရှင်း၊ ပရောမ့်နှင့် seed ကို မပြောင်းလဲထားပါက run တိုင်း ပုံကို အတိအကျ ပြန်လည်ထုတ်လုပ်နိုင်သည်။
fpsရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး8
၁ – ၁၆
ဗီဒီယိုမှ ဖရိမ်ထုတ်ယူနှုန်း၊ တစ်စက္ကန့်လျှင် ဖရိမ်အရေအတွက်။
motionsရွေးချယ်နိုင်သည်
အမျိုးအစားenum[]
ဗီဒီယိုတွင် အသုံးချမည့် လှုပ်ရှားမှုများ။
video_sizeရွေးချယ်နိုင်သည်
အမျိုးအစားobject
မူလတန်ဖိုးsquare
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
ဖန်တီးထားသော ဗီဒီယို၏ အရွယ်အစား။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
caller က ခွင့်ပြုချက်ရှိပါက false သတ်မှတ်ခြင်းဖြင့် စစ်ဆေးမှုကို လျှော့ချနိုင်သည်။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "fast-animatediff/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 23,
    "usd": "0.023",
    "charged": 23,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}ရရှိလာသော ဗီဒီယိုဖိုင်။
seed
integerဗီဒီယိုဖန်တီးစဉ် အသုံးပြုခဲ့သော seed။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/fast-animatediff/text-to-video.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt